Package ru.bitel.bgbilling.modules.voice.server.bean.operator

# Class Report

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.modules.voice.server.bean.operator.Report

Direct Known Subclasses:
  `AbonentReport`, `SessionReport`, `SovintelReport`

public abstract class Report extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static Map<String,net.sf.jasperreports.engine.JasperReport>`
  `cache`
  `protected Date`
  `month`
  `protected Operator`
  `oper`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Report(Operator operator, Date month, int id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract void`
  `getData(Connection con, OutputStream out)`
  `abstract String`
  `getFileName()`
  `int`
  `getId()`
  `protected net.sf.jasperreports.engine.JasperReport`
  `getJasperReport(String templatePath)`
  `abstract String`
  `getTitle()`
  `abstract int`
  `getType()`
  `protected void`
  `sendJasperReport(Connection con, String templatePath, OutputStream out)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### oper

    protected Operator oper

  - ### month

    protected Date month

  - ### cache

    protected static Map<String,net.sf.jasperreports.engine.JasperReport> cache

- ## Constructor Details

  - ### Report

    public Report(Operator operator, Date month, int id)

- ## Method Details

  - ### getId

    public int getId()

  - ### getTitle

    public abstract String getTitle()

  - ### getFileName

    public abstract String getFileName()

  - ### getType

    public abstract int getType()

  - ### getData

    public abstract void getData(Connection con, OutputStream out)

  - ### getJasperReport

    protected net.sf.jasperreports.engine.JasperReport getJasperReport(String templatePath) throws net.sf.jasperreports.engine.JRException
    Throws:
      `net.sf.jasperreports.engine.JRException`

  - ### sendJasperReport

    protected void sendJasperReport(Connection con, String templatePath, OutputStream out)